> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SEPA Direct Debit Mandate

> Get details of a SEPA direct debit mandate including status and timestamps



## OpenAPI

````yaml https://partner-card.test.public.rockerapi.dev/docs/docs.yaml get /api/engagements/card/{engagement-id}/sepa-direct-debit/mandates/{mandate-id}
openapi: 3.1.0
info:
  title: Card
  version: '1.0'
servers:
  - url: https://partner-card.test.public.rockerapi.dev
security: []
paths:
  /api/engagements/card/{engagement-id}/sepa-direct-debit/mandates/{mandate-id}:
    get:
      tags:
        - SEPA
      summary: Get SEPA Direct Debit Mandate
      description: >-
        Get details of a SEPA direct debit mandate including status and
        timestamps
      operationId: Get SEPA Direct Debit Mandate
      parameters:
        - name: engagement-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: mandate-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpGetMandateResponse'
              examples:
                SEPA_DIRECT_DEBIT_MANDATE_DETAILS:
                  value:
                    mandateId: 550e8400-e29b-41d4-a716-446655440001
                    reference: 291ab6ab4ef3728c28a0b4aca0d0e081
                    iban: DE89370400440532013000
                    status: ACTIVE
                    createdAt: '2026-06-02T07:23:32.733607665Z'
                    updatedAt: '2026-07-02T06:23:32.733615985Z'
        '400':
          description: >-
            Invalid value for: path parameter engagement-id, Invalid value for:
            path parameter mandate-id
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorBodyResponse'
      security:
        - httpAuth: []
components:
  schemas:
    HttpGetMandateResponse:
      title: HttpGetMandateResponse
      type: object
      required:
        - mandateId
        - reference
        - iban
        - status
        - createdAt
        - updatedAt
      properties:
        mandateId:
          type: string
          format: uuid
        reference:
          type: string
        iban:
          type: string
        status:
          $ref: '#/components/schemas/HttpMandateStatus'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    HttpErrorBodyResponse:
      title: HttpErrorBodyResponse
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    HttpMandateStatus:
      title: HttpMandateStatus
      type: string
      enum:
        - ACTIVE
        - CANCELLED
        - EXPIRED
        - FAILED
  securitySchemes:
    httpAuth:
      type: http
      scheme: basic

````